Package org.h2.test.unit

# Class TestDate

java.lang.Object
org.h2.test.TestBase
org.h2.test.unit.TestDate

public class TestDate extends org.h2.test.TestBase
Tests the date parsing. The problem is that some dates are not allowed because of the summer time change. Most countries change at 2 o'clock in the morning to 3 o'clock, but some (for example Chile) change at midnight. Non-lenient parsing would not work in this case.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.h2.test.TestBase

`org.h2.test.TestBase.VoidCallable`

## Field Summary

### Fields inherited from class org.h2.test.TestBase

`BASE_TEST_DIR, config, start, uniqueId`

## Constructor Summary

Constructors
Constructor
Description
`TestDate()`

## Method Summary

Modifier and Type
Method
Description
`static ArrayList<TimeZone>`
`getDistinctTimeZones()`
Get the list of timezones with distinct rules.
`static void`
`main(String... a)`
Run just this test.
`void`
`test()`
This method will be called by the test framework.

### Methods inherited from class org.h2.test.TestBase

`assertContains, assertEmpty, assertEqualDatabases, assertEqualReaders, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEqualStreams, assertFalse, assertFalse, assertKnownException, assertKnownException, assertNotContaining, assertNotNull, assertNotNull, assertNull, assertResult, assertResultRowCount, assertResultSetMeta, assertResultSetOrdered, assertResultSetOrdered, assertSame, assertSingleValue, assertSmaller, assertStartsWith, assertThrows, assertThrows, assertThrows, assertThrows, assertThrows, assertThrows, assertThrows, assertThrows, assertTrue, assertTrue, checkErrorCode, crash, createCaller, createFailingStream, eatMemory, execute, execute, fail, fail, freeMemory, getBaseDir, getClassPath, getFilePassword, getJVM, getMemoryUsed, getMemoryUsedBytes, getPassword, getPassword, getPowerOffCount, getSize, getTestDir, getTestName, getUser, init, init, isEnabled, logError, logErrorMessage, println, printTime, printTimeMemory, readString, runTest, setPowerOffCount, testFromMain, throwException, trace, trace, traceMemory`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TestDate

public TestDate()

## Method Details

### main

public static void main(String... a) throws Exception
Run just this test.

Parameters:
  `a` - ignored
Throws:
  `Exception`

### test

public void test() throws SQLException
Description copied from class: `org.h2.test.TestBase`
This method will be called by the test framework.

Specified by:
  `test` in class `org.h2.test.TestBase`
Throws:
  `SQLException`

### getDistinctTimeZones

public static ArrayList<TimeZone> getDistinctTimeZones()
Get the list of timezones with distinct rules.

Returns:
  the list